Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class AgentGroupParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.AgentGroupParams

    public class AgentGroupParams

extends Named

Contains the parameters for an agent group in a blend/multi-skill call center.

Field Summary
`protected List<AgentParams>` | `agents`
`protected Double` | `agentsMult`
`protected Double` | `busyCost`
`protected double[]` | `busyCostPeriod`
`protected Boolean` | `convertSchedulesToStaffing`
`protected Boolean` | `detailed`
`protected MultiPeriodGenParams` | `disconnectTime`
`protected Double` | `efficiency`
`protected Double` | `idleCost`
`protected double[]` | `idleCostPeriod`
`protected Integer` | `maxAgents`
`protected int[]` | `maxAgentsPeriod`
`protected Integer` | `minAgents`
`protected int[]` | `minAgentsPeriod`
`protected Double` | `perUseCost`
`protected double[]` | `perUseCostPeriod`
`protected double[]` | `probAgents`
`protected double[]` | `probDisconnect`
`protected AgentGroupScheduleParams` | `schedule`
`protected double[]` | `serviceTimesMult`
`protected Integer` | `skillCount`
`protected int[]` | `staffing`
`protected IntArray` | `staffingData`
`protected Double` | `weight`
`protected double[]` | `weightPeriod`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`AgentGroupParams()`

Method Summary
`List<AgentParams>` | `getAgents()` Gets the value of the agents property.
`double` | `getAgentsMult()` Gets the value of the agentsMult property.
`double` | `getBusyCost()` Gets the value of the busyCost property.
`double[]` | `getBusyCostPeriod()`
`double` | `getBusyCostPeriod(int idx)`
`int` | `getBusyCostPeriodLength()`
`MultiPeriodGenParams` | `getDisconnectTime()` Gets the value of the disconnectTime property.
`double` | `getEfficiency()` Gets the value of the efficiency property.
`double` | `getIdleCost()` Gets the value of the idleCost property.
`double[]` | `getIdleCostPeriod()`
`double` | `getIdleCostPeriod(int idx)`
`int` | `getIdleCostPeriodLength()`
`int` | `getMaxAgents()` Gets the value of the maxAgents property.
`int[]` | `getMaxAgentsPeriod()`
`int` | `getMaxAgentsPeriod(int idx)`
`int` | `getMaxAgentsPeriodLength()`
`int` | `getMinAgents()` Gets the value of the minAgents property.
`int[]` | `getMinAgentsPeriod()`
`int` | `getMinAgentsPeriod(int idx)`
`int` | `getMinAgentsPeriodLength()`
`double` | `getPerUseCost()` Gets the value of the perUseCost property.
`double[]` | `getPerUseCostPeriod()`
`double` | `getPerUseCostPeriod(int idx)`
`int` | `getPerUseCostPeriodLength()`
`double[]` | `getProbAgents()`
`double` | `getProbAgents(int idx)`
`int` | `getProbAgentsLength()`
`double[]` | `getProbDisconnect()`
`double` | `getProbDisconnect(int idx)`
`int` | `getProbDisconnectLength()`
`AgentGroupScheduleParams` | `getSchedule()` Gets the value of the schedule property.
`double[]` | `getServiceTimesMult()`
`double` | `getServiceTimesMult(int idx)`
`int` | `getServiceTimesMultLength()`
`int` | `getSkillCount()` Gets the value of the skillCount property.
`int[]` | `getStaffing()`
`int` | `getStaffing(int idx)`
`IntArray` | `getStaffingData()` Gets the value of the staffingData property.
`int` | `getStaffingLength()`
`double` | `getWeight()` Gets the value of the weight property.
`double[]` | `getWeightPeriod()`
`double` | `getWeightPeriod(int idx)`
`int` | `getWeightPeriodLength()`
`boolean` | `isConvertSchedulesToStaffing()` Gets the value of the convertSchedulesToStaffing property.
`boolean` | `isDetailed()` Gets the value of the detailed property.
`boolean` | `isSetAgents()`
`boolean` | `isSetAgentsMult()`
`boolean` | `isSetBusyCost()`
`boolean` | `isSetBusyCostPeriod()`
`boolean` | `isSetConvertSchedulesToStaffing()`
`boolean` | `isSetDetailed()`
`boolean` | `isSetDisconnectTime()`
`boolean` | `isSetEfficiency()`
`boolean` | `isSetIdleCost()`
`boolean` | `isSetIdleCostPeriod()`
`boolean` | `isSetMaxAgents()`
`boolean` | `isSetMaxAgentsPeriod()`
`boolean` | `isSetMinAgents()`
`boolean` | `isSetMinAgentsPeriod()`
`boolean` | `isSetPerUseCost()`
`boolean` | `isSetPerUseCostPeriod()`
`boolean` | `isSetProbAgents()`
`boolean` | `isSetProbDisconnect()`
`boolean` | `isSetSchedule()`
`boolean` | `isSetServiceTimesMult()`
`boolean` | `isSetSkillCount()`
`boolean` | `isSetStaffing()`
`boolean` | `isSetStaffingData()`
`boolean` | `isSetWeight()`
`boolean` | `isSetWeightPeriod()`
`void` | `setAgentsMult(double value)` Sets the value of the agentsMult property.
`void` | `setBusyCost(double value)` Sets the value of the busyCost property.
`void` | `setBusyCostPeriod(double[] values)`
`double` | `setBusyCostPeriod(int idx, double value)`
`void` | `setConvertSchedulesToStaffing(boolean value)` Sets the value of the convertSchedulesToStaffing property.
`void` | `setDetailed(boolean value)` Sets the value of the detailed property.
`void` | `setDisconnectTime(MultiPeriodGenParams value)` Sets the value of the disconnectTime property.
`void` | `setEfficiency(double value)` Sets the value of the efficiency property.
`void` | `setIdleCost(double value)` Sets the value of the idleCost property.
`void` | `setIdleCostPeriod(double[] values)`
`double` | `setIdleCostPeriod(int idx, double value)`
`void` | `setMaxAgents(int value)` Sets the value of the maxAgents property.
`void` | `setMaxAgentsPeriod(int[] values)`
`int` | `setMaxAgentsPeriod(int idx, int value)`
`void` | `setMinAgents(int value)` Sets the value of the minAgents property.
`void` | `setMinAgentsPeriod(int[] values)`
`int` | `setMinAgentsPeriod(int idx, int value)`
`void` | `setPerUseCost(double value)` Sets the value of the perUseCost property.
`void` | `setPerUseCostPeriod(double[] values)`
`double` | `setPerUseCostPeriod(int idx, double value)`
`void` | `setProbAgents(double[] values)`
`double` | `setProbAgents(int idx, double value)`
`void` | `setProbDisconnect(double[] values)`
`double` | `setProbDisconnect(int idx, double value)`
`void` | `setSchedule(AgentGroupScheduleParams value)` Sets the value of the schedule property.
`void` | `setServiceTimesMult(double[] values)`
`double` | `setServiceTimesMult(int idx, double value)`
`void` | `setSkillCount(int value)` Sets the value of the skillCount property.
`void` | `setStaffing(int[] values)`
`int` | `setStaffing(int idx, int value)`
`void` | `setStaffingData(IntArray value)` Sets the value of the staffingData property.
`void` | `setWeight(double value)` Sets the value of the weight property.
`void` | `setWeightPeriod(double[] values)`
`double` | `setWeightPeriod(int idx, double value)`
`void` | `unsetAgents()`
`void` | `unsetAgentsMult()`
`void` | `unsetBusyCost()`
`void` | `unsetBusyCostPeriod()`
`void` | `unsetConvertSchedulesToStaffing()`
`void` | `unsetDetailed()`
`void` | `unsetEfficiency()`
`void` | `unsetIdleCost()`
`void` | `unsetIdleCostPeriod()`
`void` | `unsetMaxAgents()`
`void` | `unsetMaxAgentsPeriod()`
`void` | `unsetMinAgents()`
`void` | `unsetMinAgentsPeriod()`
`void` | `unsetPerUseCost()`
`void` | `unsetPerUseCostPeriod()`
`void` | `unsetProbAgents()`
`void` | `unsetProbDisconnect()`
`void` | `unsetServiceTimesMult()`
`void` | `unsetSkillCount()`
`void` | `unsetStaffing()`
`void` | `unsetWeight()`
`void` | `unsetWeightPeriod()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staffing

    protected int[] staffing

### probAgents

    protected double[] probAgents

### staffingData

    protected IntArray staffingData

### schedule

    protected AgentGroupScheduleParams schedule

### agents

    protected List<AgentParams> agents

### serviceTimesMult

    protected double[] serviceTimesMult

### probDisconnect

    protected double[] probDisconnect

### disconnectTime

    protected MultiPeriodGenParams disconnectTime

### maxAgentsPeriod

    protected int[] maxAgentsPeriod

### minAgentsPeriod

    protected int[] minAgentsPeriod

### idleCostPeriod

    protected double[] idleCostPeriod

### busyCostPeriod

    protected double[] busyCostPeriod

### perUseCostPeriod

    protected double[] perUseCostPeriod

### weightPeriod

    protected double[] weightPeriod

### weight

    protected Double weight

### maxAgents

    protected Integer maxAgents

### minAgents

    protected Integer minAgents

### idleCost

    protected Double idleCost

### busyCost

    protected Double busyCost

### perUseCost

    protected Double perUseCost

### efficiency

    protected Double efficiency

### skillCount

    protected Integer skillCount

### detailed

    protected Boolean detailed

### convertSchedulesToStaffing

    protected Boolean convertSchedulesToStaffing

### agentsMult

    protected Double agentsMult

Constructor Detail

### AgentGroupParams

    public AgentGroupParams()

Method Detail

### getStaffing

    public int[] getStaffing()

  Returns:
    array of `Integer`

### getStaffing

    public int getStaffing(int idx)

  Returns:
    one of `Integer`

### getStaffingLength

    public int getStaffingLength()

### setStaffing

    public void setStaffing(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setStaffing

    public int setStaffing(int idx,
                           int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetStaffing

    public boolean isSetStaffing()

### unsetStaffing

    public void unsetStaffing()

### getProbAgents

    public double[] getProbAgents()

  Returns:
    array of `Double`

### getProbAgents

    public double getProbAgents(int idx)

  Returns:
    one of `Double`

### getProbAgentsLength

    public int getProbAgentsLength()

### setProbAgents

    public void setProbAgents(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbAgents

    public double setProbAgents(int idx,
                                double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbAgents

    public boolean isSetProbAgents()

### unsetProbAgents

    public void unsetProbAgents()

### getStaffingData

    public IntArray getStaffingData()

  Gets the value of the staffingData property.

  Returns:
    possible object is `IntArray`

### setStaffingData

    public void setStaffingData(IntArray value)

  Sets the value of the staffingData property.

  Parameters:
    `value` - allowed object is `IntArray`

### isSetStaffingData

    public boolean isSetStaffingData()

### getSchedule

    public AgentGroupScheduleParams getSchedule()

  Gets the value of the schedule property.

  Returns:
    possible object is `AgentGroupScheduleParams`

### setSchedule

    public void setSchedule(AgentGroupScheduleParams value)

  Sets the value of the schedule property.

  Parameters:
    `value` - allowed object is `AgentGroupScheduleParams`

### isSetSchedule

    public boolean isSetSchedule()

### getAgents

    public List<AgentParams> getAgents()

  Gets the value of the agents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agents property.

  For example, to add a new item, do as follows:

          getAgents().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentParams`

### isSetAgents

    public boolean isSetAgents()

### unsetAgents

    public void unsetAgents()

### getServiceTimesMult

    public double[] getServiceTimesMult()

  Returns:
    array of `Double`

### getServiceTimesMult

    public double getServiceTimesMult(int idx)

  Returns:
    one of `Double`

### getServiceTimesMultLength

    public int getServiceTimesMultLength()

### setServiceTimesMult

    public void setServiceTimesMult(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setServiceTimesMult

    public double setServiceTimesMult(int idx,
                                      double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetServiceTimesMult

    public boolean isSetServiceTimesMult()

### unsetServiceTimesMult

    public void unsetServiceTimesMult()

### getProbDisconnect

    public double[] getProbDisconnect()

  Returns:
    array of `Double`

### getProbDisconnect

    public double getProbDisconnect(int idx)

  Returns:
    one of `Double`

### getProbDisconnectLength

    public int getProbDisconnectLength()

### setProbDisconnect

    public void setProbDisconnect(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbDisconnect

    public double setProbDisconnect(int idx,
                                    double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbDisconnect

    public boolean isSetProbDisconnect()

### unsetProbDisconnect

    public void unsetProbDisconnect()

### getDisconnectTime

    public MultiPeriodGenParams getDisconnectTime()

  Gets the value of the disconnectTime property.

  Returns:
    possible object is `MultiPeriodGenParams`

### setDisconnectTime

    public void setDisconnectTime(MultiPeriodGenParams value)

  Sets the value of the disconnectTime property.

  Parameters:
    `value` - allowed object is `MultiPeriodGenParams`

### isSetDisconnectTime

    public boolean isSetDisconnectTime()

### getMaxAgentsPeriod

    public int[] getMaxAgentsPeriod()

  Returns:
    array of `Integer`

### getMaxAgentsPeriod

    public int getMaxAgentsPeriod(int idx)

  Returns:
    one of `Integer`

### getMaxAgentsPeriodLength

    public int getMaxAgentsPeriodLength()

### setMaxAgentsPeriod

    public void setMaxAgentsPeriod(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setMaxAgentsPeriod

    public int setMaxAgentsPeriod(int idx,
                                  int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxAgentsPeriod

    public boolean isSetMaxAgentsPeriod()

### unsetMaxAgentsPeriod

    public void unsetMaxAgentsPeriod()

### getMinAgentsPeriod

    public int[] getMinAgentsPeriod()

  Returns:
    array of `Integer`

### getMinAgentsPeriod

    public int getMinAgentsPeriod(int idx)

  Returns:
    one of `Integer`

### getMinAgentsPeriodLength

    public int getMinAgentsPeriodLength()

### setMinAgentsPeriod

    public void setMinAgentsPeriod(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setMinAgentsPeriod

    public int setMinAgentsPeriod(int idx,
                                  int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetMinAgentsPeriod

    public boolean isSetMinAgentsPeriod()

### unsetMinAgentsPeriod

    public void unsetMinAgentsPeriod()

### getIdleCostPeriod

    public double[] getIdleCostPeriod()

  Returns:
    array of `Double`

### getIdleCostPeriod

    public double getIdleCostPeriod(int idx)

  Returns:
    one of `Double`

### getIdleCostPeriodLength

    public int getIdleCostPeriodLength()

### setIdleCostPeriod

    public void setIdleCostPeriod(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setIdleCostPeriod

    public double setIdleCostPeriod(int idx,
                                    double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetIdleCostPeriod

    public boolean isSetIdleCostPeriod()

### unsetIdleCostPeriod

    public void unsetIdleCostPeriod()

### getBusyCostPeriod

    public double[] getBusyCostPeriod()

  Returns:
    array of `Double`

### getBusyCostPeriod

    public double getBusyCostPeriod(int idx)

  Returns:
    one of `Double`

### getBusyCostPeriodLength

    public int getBusyCostPeriodLength()

### setBusyCostPeriod

    public void setBusyCostPeriod(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setBusyCostPeriod

    public double setBusyCostPeriod(int idx,
                                    double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetBusyCostPeriod

    public boolean isSetBusyCostPeriod()

### unsetBusyCostPeriod

    public void unsetBusyCostPeriod()

### getPerUseCostPeriod

    public double[] getPerUseCostPeriod()

  Returns:
    array of `Double`

### getPerUseCostPeriod

    public double getPerUseCostPeriod(int idx)

  Returns:
    one of `Double`

### getPerUseCostPeriodLength

    public int getPerUseCostPeriodLength()

### setPerUseCostPeriod

    public void setPerUseCostPeriod(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setPerUseCostPeriod

    public double setPerUseCostPeriod(int idx,
                                      double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetPerUseCostPeriod

    public boolean isSetPerUseCostPeriod()

### unsetPerUseCostPeriod

    public void unsetPerUseCostPeriod()

### getWeightPeriod

    public double[] getWeightPeriod()

  Returns:
    array of `Double`

### getWeightPeriod

    public double getWeightPeriod(int idx)

  Returns:
    one of `Double`

### getWeightPeriodLength

    public int getWeightPeriodLength()

### setWeightPeriod

    public void setWeightPeriod(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setWeightPeriod

    public double setWeightPeriod(int idx,
                                  double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetWeightPeriod

    public boolean isSetWeightPeriod()

### unsetWeightPeriod

    public void unsetWeightPeriod()

### getWeight

    public double getWeight()

  Gets the value of the weight property.

  Returns:
    possible object is `Double`

### setWeight

    public void setWeight(double value)

  Sets the value of the weight property.

  Parameters:
    `value` - allowed object is `Double`

### isSetWeight

    public boolean isSetWeight()

### unsetWeight

    public void unsetWeight()

### getMaxAgents

    public int getMaxAgents()

  Gets the value of the maxAgents property.

  Returns:
    possible object is `Integer`

### setMaxAgents

    public void setMaxAgents(int value)

  Sets the value of the maxAgents property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxAgents

    public boolean isSetMaxAgents()

### unsetMaxAgents

    public void unsetMaxAgents()

### getMinAgents

    public int getMinAgents()

  Gets the value of the minAgents property.

  Returns:
    possible object is `Integer`

### setMinAgents

    public void setMinAgents(int value)

  Sets the value of the minAgents property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMinAgents

    public boolean isSetMinAgents()

### unsetMinAgents

    public void unsetMinAgents()

### getIdleCost

    public double getIdleCost()

  Gets the value of the idleCost property.

  Returns:
    possible object is `Double`

### setIdleCost

    public void setIdleCost(double value)

  Sets the value of the idleCost property.

  Parameters:
    `value` - allowed object is `Double`

### isSetIdleCost

    public boolean isSetIdleCost()

### unsetIdleCost

    public void unsetIdleCost()

### getBusyCost

    public double getBusyCost()

  Gets the value of the busyCost property.

  Returns:
    possible object is `Double`

### setBusyCost

    public void setBusyCost(double value)

  Sets the value of the busyCost property.

  Parameters:
    `value` - allowed object is `Double`

### isSetBusyCost

    public boolean isSetBusyCost()

### unsetBusyCost

    public void unsetBusyCost()

### getPerUseCost

    public double getPerUseCost()

  Gets the value of the perUseCost property.

  Returns:
    possible object is `Double`

### setPerUseCost

    public void setPerUseCost(double value)

  Sets the value of the perUseCost property.

  Parameters:
    `value` - allowed object is `Double`

### isSetPerUseCost

    public boolean isSetPerUseCost()

### unsetPerUseCost

    public void unsetPerUseCost()

### getEfficiency

    public double getEfficiency()

  Gets the value of the efficiency property.

  Returns:
    possible object is `Double`

### setEfficiency

    public void setEfficiency(double value)

  Sets the value of the efficiency property.

  Parameters:
    `value` - allowed object is `Double`

### isSetEfficiency

    public boolean isSetEfficiency()

### unsetEfficiency

    public void unsetEfficiency()

### getSkillCount

    public int getSkillCount()

  Gets the value of the skillCount property.

  Returns:
    possible object is `Integer`

### setSkillCount

    public void setSkillCount(int value)

  Sets the value of the skillCount property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetSkillCount

    public boolean isSetSkillCount()

### unsetSkillCount

    public void unsetSkillCount()

### isDetailed

    public boolean isDetailed()

  Gets the value of the detailed property.

  Returns:
    possible object is `Boolean`

### setDetailed

    public void setDetailed(boolean value)

  Sets the value of the detailed property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDetailed

    public boolean isSetDetailed()

### unsetDetailed

    public void unsetDetailed()

### isConvertSchedulesToStaffing

    public boolean isConvertSchedulesToStaffing()

  Gets the value of the convertSchedulesToStaffing property.

  Returns:
    possible object is `Boolean`

### setConvertSchedulesToStaffing

    public void setConvertSchedulesToStaffing(boolean value)

  Sets the value of the convertSchedulesToStaffing property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetConvertSchedulesToStaffing

    public boolean isSetConvertSchedulesToStaffing()

### unsetConvertSchedulesToStaffing

    public void unsetConvertSchedulesToStaffing()

### getAgentsMult

    public double getAgentsMult()

  Gets the value of the agentsMult property.

  Returns:
    possible object is `Double`

### setAgentsMult

    public void setAgentsMult(double value)

  Sets the value of the agentsMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetAgentsMult

    public boolean isSetAgentsMult()

### unsetAgentsMult

    public void unsetAgentsMult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.